API referenceOfficial · Purchases
List purchase orders
Returns purchase orders in any state for the current BUFF account.
POST
/api/market/developer/purchase/orders/listReturns purchase orders in any state for the current BUFF account.
- Limit: 10 requests per second
After BUFF creates a Steam trade offer, the response includes tradeofferid, the Steam offer ID.
Authorization
bearer AuthorizationBearer <token>
BUFF developer API token. Send it as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/market/developer/purchase/orders/list" \ -H "Content-Type: application/json" \ -d '{ "game": "cs2" }'{ "items": [ { "asset_info": { "assetid": "47945928824", "classid": "310776573", "contextid": 2, "goods_id": 209976, "id": "M6362486318", "instanceid": "7758141006", "paintwear": "0.3657386302947998", "info": { "fraudwarnings": null, "inspect_info": {}, "keychains": [], "paintindex": 148, "paintseed": 512, "stickers": [], "tournament_tags": [] } }, "buy_order_id": "260121T1093434043", "buyer_steamid": "76561198099941084", "created_at": 1761212487, "fee": "1.25", "game": "csgo", "goods_id": 209976, "id": "251023T1093498143", "price": "50", "seller_send_offer": true, "state": "SUCCESS", "state_text": "购买成功", "tradeofferid": "8607313592", "trade_offer_status": "success", "type": 1, "updated_at": 1761212673 }, { "asset_info": { "assetid": "47945928825", "classid": "310776573", "contextid": 2, "goods_id": 209976, "id": "M6362486319", "instanceid": "7758141007", "paintwear": "0.2145678901234567", "info": { "fraudwarnings": null, "inspect_info": {}, "keychains": [], "paintindex": 148, "paintseed": 256, "stickers": [], "tournament_tags": [] } }, "buyer_steamid": "76561198099941084", "created_at": 1761212439, "fee": "1.25", "game": "csgo", "goods_id": 209976, "id": "251023T1093498142", "price": "49.9", "seller_send_offer": true, "state": "PAYING", "state_text": "订单状态确认中", "tradeofferid": "8607313593", "trade_offer_status": "trading", "type": 1, "updated_at": 1761212726 }, { "asset_info": { "assetid": "47945928826", "classid": "310776574", "contextid": 2, "goods_id": 44443, "id": "M6362486320", "instanceid": "7758141008", "paintwear": "0.0876543210987654", "info": { "fraudwarnings": null, "inspect_info": {}, "keychains": [], "paintindex": 455, "paintseed": 128, "stickers": [], "tournament_tags": [] } }, "buyer_steamid": "76561198099941084", "created_at": 1750671583, "fee": "1.15", "game": "csgo", "goods_id": 44443, "id": "250623T1093492961", "price": "46", "seller_send_offer": true, "state": "FAIL", "state_text": "购买失败-已退款", "type": 1, "updated_at": 1750671867 } ], "page_num": 1, "page_size": 10, "total_count": 3, "total_page": 1}